SetSignProcessCustomSubFilter
Sauga ir parašai
Aprašymas
Nustato SubFilter įrašą su pasirinktine eilute skaitmeninio parašo procesui, nurodydamas parašo reikšmės koduotę
Panašu į SetSignProcessSubFilter, bet Subfilter įrašą galima tinkinti
Kai pateiktoji eilutė prasideda ETSI. (paprastai ETSI.CAdES.detached PAdES bazinio lygio parašams arba ETSI.RFC3161 dokumentų laiko žymoms), biblioteka automatiškai prideda PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> įrašą į dokumento katalogą, kaip reikalauja ETSI EN 319 142-1 v1.2.1 §5.6. TPDFlib sukurtiems PDF lygiaverčioji Adobe deklaracija (/Extensions /ADBE ties /ExtensionLevel 8) pridedama lygiagrečiai. Įšvirkštimas idempotentiškas ir niekada nepažemina esamosios aukštesniosios plėtinio lygio reikšmės
Pasirinkus ETSI.CAdES.detached papildomai suaktyvinamas PAdES-B-B pasirašymo kelias: gautoji CMS našta neša content-type (id-data) ir signing-certificate-v2 (RFC 5035 / RFC 5816) autentifikuotąsias atributus, o signing-time atributas, kurį draudžia EN 319 142-1 1 lentelė, praleidžiamas, nes biblioteka CryptSignMessage perduoda savąjį atributų masyvą. Pasirašymo sertifikatas identifikuojamas pagal jo SHA-256 maišą (arba SHA-384 / SHA-512, kai SetSignProcessDigestAlgorithm parenka didesniąją maišą), o esamosios versijos taip pat įtraukia neprivalomąją IssuerSerial porą (išdavėjo išskirtasis pavadinimas plius serijos numeris), kad griežtesniosios PAdES tikrintuvės galėtų kryžminti pasirašymo sertifikatą su savo kandidatų grandine
Sintaksė
Delphi
Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;
ActiveX
Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long
DLL
int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);
Parametrai
| SignProcessID | Reikšmė, grąžinta NewSignProcessFromFile, NewSignProcessFromStream arba NewSignProcessFromString funkcijų |
|---|---|
| SubFilterStr | Custom SubFilter string entry |
Grąžinamos reikšmės
| 0 | SignProcessID parametras buvo netinkamas arba SubFilter parametras buvo už leistinų ribų |
|---|---|
| 1 | Success |